Summary: A log file analysis program.
Name: logwatch
Version: 1.6.6
Release: 7
Copyright: GPL
Group: Applications/System
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp://ftp.kaybee.org/pub/linux/logwatch-1.6.6.tar.gz
Requires: textutils,sh-utils,grep,perl
BuildRoot: /var/tmp/logwatch-build
BuildArchitectures: noarch 

%description
LogWatch is a customizable log analysis system.  LogWatch parses
through your system's logs for a given period of time and creates a
report analyzing areas that you specify, in as much detail as you
require.  LogWatch is easy to use and claims that it will work right
out of the package on almost all systems.  Note that LogWatch now
analyzes Samba logs.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/{logfiles,services}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/{services,shared,logfiles}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/logfiles/{xferlog,cron,samba}

install -m 0755 scripts/logwatch.pl $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/logwatch.pl
install -m 0755 scripts/logfiles/xferlog/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/logfiles/xferlog
install -m 0755 scripts/logfiles/cron/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/logfiles/cron
install -m 0755 scripts/logfiles/samba/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/logfiles/samba
install -m 0755 scripts/services/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/services
install -m 0755 scripts/shared/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/scripts/shared

install -m 0644 conf/logwatch.conf $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/logwatch.conf
install -m 0644 conf/logfiles/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/logfiles
install -m 0644 conf/services/* $RPM_BUILD_ROOT%{_sysconfdir}/log.d/conf/services

install -m 0755 -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 logwatch.8 $RPM_BUILD_ROOT%{_mandir}/man8

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch \
   $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/00-logwatch \
   $RPM_BUILD_ROOT%{_sbindir}/logwatch

ln -s scripts/logwatch.pl $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch
ln -s conf/logwatch.conf $RPM_BUILD_ROOT%{_sysconfdir}/log.d/logwatch.conf
install -m 0755 -d $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
ln -s ../log.d/scripts/logwatch.pl $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/00-logwatch
install -m 0755 -d $RPM_BUILD_ROOT%{_sbindir}
ln -s ../../%{_sysconfdir}/log.d/scripts/logwatch.pl $RPM_BUILD_ROOT%{_sbindir}/logwatch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README HOWTO-Make-Filter
%dir %{_sysconfdir}/log.d
%dir %{_sysconfdir}/log.d/conf
%dir %{_sysconfdir}/log.d/scripts
%dir %{_sysconfdir}/log.d/conf/logfiles
%dir %{_sysconfdir}/log.d/conf/services
%dir %{_sysconfdir}/log.d/scripts/logfiles
%dir %{_sysconfdir}/log.d/scripts/services
%dir %{_sysconfdir}/log.d/scripts/shared
%dir %{_sysconfdir}/log.d/scripts/logfiles/xferlog
%dir %{_sysconfdir}/log.d/scripts/logfiles/cron
%dir %{_sysconfdir}/log.d/scripts/logfiles/samba
%config %{_sysconfdir}/log.d/conf/logwatch.conf
%config %{_sysconfdir}/log.d/conf/services/*
%config %{_sysconfdir}/log.d/conf/logfiles/*
%{_sysconfdir}/log.d/scripts/logwatch.pl
%{_sbindir}/logwatch
%{_mandir}/*/* 
%{_sysconfdir}/log.d/scripts/shared/*
%{_sysconfdir}/log.d/scripts/services/*
%{_sysconfdir}/log.d/scripts/logfiles/xferlog/*
%{_sysconfdir}/log.d/scripts/logfiles/cron/*
%{_sysconfdir}/log.d/scripts/logfiles/samba/*
%{_sysconfdir}/log.d/logwatch
%{_sysconfdir}/log.d/logwatch.conf
%{_sysconfdir}/cron.daily/00-logwatch

%changelog
* Sat Aug 5 2000 Tim Powers <timp@redhat.com>
- fix bug #15478, spelling error in the description

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use predefined RPM macros whenever possible

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Fri Oct 2 1998 Michael Maher <mike@redhat.com>
- built package
